Subject: Re: reducing line crossings in gitk

From: Jon Seymour <[email-masked]>
Date: Fri, 17 Jun 2005 01:05:29 +1000

On 6/16/05, Paul Mackerras <[email-masked]> wrote:
> Jon Seymour writes:
> 
> > Another feature that would be handy is the ability to be able to
> > create tags by pointing to an item and selecting a "create-tag"
> > action. The effect would be to write the SHA1 id into
> > GIT_DIR/refs/tags in the expected way.
> 
> Hmmm, that would create a "direct" tag, not a normal tag, which is
> an object of type "tag" that contains a reference to a commit along
> with some other stuff.
> 
> In general I'd like to keep gitk as purely a viewer.  Ultimately I'll
> probably do a graphical tool for checking stuff in and other
> operations that modify the repository as well, but I think that should
> be a separate tool.
> 
> Regards,
> Paul.
> 

Fair enough... the reason I suggested it is that I use gitk to help me
decide how to merge stuff with the mainline. Currently I have to cut
and paste the ids of the "interesting" commits into the command line.
It would be nice to be able to point directly to an interesting commit
and tag it so that I can later get to it from a command line using a
name I can remember.

Still, I can quite accept that I have an idiosyncratic way of
interacting with git and gitk.

jon.
-- 
homepage: http://www.zeta.org.au/~jon/
blog: http://orwelliantremors.blogspot.com/